Nucleus(JP)フォーラム

NucleusCMS日本語版ユーザーのためのサポートフォーラムです。疑問が生じたらまずは記事検索をご利用ください。

ログインしていません。

#1 2016-12-17 19:00:42

ピヨピヨbird
メンバー
登録日: 2015-04-05
投稿: 78

そろそろ PHP5.2以下のサポートを打ち切りませんか?

そろそろ PHP5.2以下のサポートを打ち切りませんか?

PHP5.2は終了してもうすぐ6年になります。5.2.17(6 Jan 2011)

PHP5.3から実装された無名関数(クロージャ)が使えると
正規表現のコールバック関数以外の用途でもコードがみやすくなると思うのです。

どうしても、古いシステムな人は、新しいPHPのcgi版を用意してもらって
.htaccessなどで PHPハンドラーを切り替えて
そのフォルダだけCGI版の最新PHPを起動すれば困らないと思います。

Nucleus v3.9がでるころには、最後のPHP5系列のPHP5.6もサポート終了間近なころだと思います。
Nucleus v3.9は、PHP5.2 もしくは、PHP5.3以下を打ち切るとかなり使いやすくなると思うのです。

PHP5.3 無名関数(クロージャ)をサポート
PHP5.4 配列の短縮構文が追加される
    関数の返り値を配列として扱える
    クロージャ が $this をサポート
PHP5.5 finally キーワードの追加

オフライン

#2 2016-12-18 12:37:07

yama
Administrator
登録日: 2005-07-07
投稿: 1,242
ウェブサイト

Re: そろそろ PHP5.2以下のサポートを打ち切りませんか?

コードをシンプルに保つことができるといろいろメリットがあると思うので、打ち切っていいと思います。

オフライン

Board footer